List a customer's verification receipts
curl --request GET \
--url https://api-sb.meld.io/accounts/customers/{customerId}/verifications \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/accounts/customers/{customerId}/verifications"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/accounts/customers/{customerId}/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"channel": "EMAIL",
"expiresAt": "<string>",
"resendAvailableAt": "<string>",
"status": "PENDING",
"target": "j•••@example.com",
"verificationId": "<string>"
}
]{
"code": "<string>",
"errors": [
"<string>"
],
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {
"code": "5034",
"message": "Digital currency and blockchain combination is restricted for customer's country"
},
"timestamp": "2026-08-14T09:41:22.482+00:00"
}Customers
List a customer's verification receipts
Audit listing of the customer’s contact-verification attempts, newest first. Targets are masked.
GET
/
accounts
/
customers
/
{customerId}
/
verifications
List a customer's verification receipts
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
Example:
"2026-02-03"
Path Parameters
Customer id
Query Parameters
Contact channel
Available options:
EMAIL, PHONE Verification status
Available options:
PENDING, VERIFIED, EXPIRED, FAILED, INVALIDATED Response
Verifications are returned
Contact channel
Available options:
EMAIL, PHONE When the code expires (ISO-8601)
When a new code can be requested (ISO-8601)
Verification status
Available options:
PENDING, VERIFIED, EXPIRED, FAILED, INVALIDATED Masked contact value the code was sent to
Example:
"j•••@example.com"
Verification id